Bug 130908 - CAN-2004-0817 heap overflow in BMP decoder
CAN-2004-0817 heap overflow in BMP decoder
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: imlib (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-25 14:32 EDT by Josh Bressers
Modified: 2013-04-02 00:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-09 16:40:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-08-25 14:32:30 EDT
A heap overflow issue has been discovered in the imlib BMP decoder. 
This issue deals with overflowing the color palette.

It may be possible for this overflow to allow an attacker to execute
malicious code.

The demo image is attachment 102533 [details].

This issue is also documented in the gnome BTS
http://bugzilla.gnome.org/show_bug.cgi?id=151034

This issue also affects FC1
Comment 1 Josh Bressers 2004-09-09 16:40:04 EDT
This has been pushed.

Note You need to log in before you can comment on or make changes to this bug.